package market.Mes.Lengthwise.Performance.mapper;

import java.util.HashMap;
import java.util.List;

import market.Mes.Lengthwise.Performance.vo.MesCrSlittingDSum;
import market.Mes.Lengthwise.Performance.vo.MesCrSlittingM;
import market.Mes.Lengthwise.Performance.vo.MesCrSlittingMSum;
import market.Mes.Lengthwise.Performance.vo.MesCrSlittingWrkSum;
import market.Mes.Lengthwise.Performance.vo.MesPrdDetailReport;

import com.hnshituo.orm.GenericMapper;

public interface MesCrSlittingMMapper extends GenericMapper<MesCrSlittingM,Object> {

	List<MesCrSlittingMSum> doQuery(MesCrSlittingM oci);

	List<MesCrSlittingWrkSum> doQueryWrkSumInfo(MesCrSlittingM object);

	int doQueryMaxProcessNo(MesCrSlittingM mcsm);

	void doUpdate(MesCrSlittingM msm);

	void doDeleteId(MesCrSlittingM mc);

	void doUpdateNull(MesCrSlittingM mcsmu);

	List<HashMap> doProductionSteelYearReport(MesCrSlittingM object,String sql);

	List<HashMap> doGroupSteelForProduction(MesCrSlittingM object);

	int doQueryMaxProcessNo1(MesCrSlittingM mcsm);

	List<String> findMat(String batchno);

	List<String> doFind(String material_no);

	List<MesCrSlittingDSum> doFindD(String material_no);

	Integer findByProces(String v_process_no, String string);

	void doUpdate_12mm(MesCrSlittingM msm);

	List<HashMap> doProductionMultReport1(MesCrSlittingM object);

	List<HashMap> doProductionWrkReport3(MesCrSlittingM object);

	Integer doQueryM(String process_no, String v_reject_coil_no);

	List<HashMap> doProductionSteelReport3(MesCrSlittingM object);

	List<MesPrdDetailReport> doPrdDetailWeb_4mm(MesPrdDetailReport object, String string, String string2, String string3, String string4, String string5, String string6, String string7, String string8, String string9);

	List<HashMap> doQueryWeb_zhiliang(MesCrSlittingM mes, String startTime, String endTime, String memo1, String memo2);

}
